CentOS 8 Container?

fernback

New Member
Nov 14, 2017
9
1
3
30
I've never really paid attention to newly released distros before, so I'm curious when we should expect to see a template for CentOS 8.

Thanks!
 
  • Like
Reactions: shantanu

muzzol

Member
Dec 2, 2009
41
0
6
the official one can take a little bit, but there'll be some user created ones for sure in a couple of days
 

fernback

New Member
Nov 14, 2017
9
1
3
30
Thanks for the heads up! I just set it up using the latest amd_64 template (20191013) and everything seems to be working!
 

muzzol

Member
Dec 2, 2009
41
0
6
if you're getting an error while creating a new container similar to this:

Code:
TASK ERROR: unable to create CT unsupported centos release

you probably need to perform a little change on this file: /usr/share/perl5/PVE/LXC/Setup/CentOS.pm


something like this should be enough:


Code:
sed -i 's/ < 8) {/ < 9) {/' /usr/share/perl5/PVE/LXC/Setup/CentOS.pm
and then restart related services:


Code:
       systemctl restart pveproxy pvedaemon
by the way, I've tested this one: https://uk.images.linuxcontainers.org/images/centos/8/amd64/cloud/20191015_07:08/rootfs.tar.xz

and everything seems fine by now. I'll try to report back if I found any issues.
 

mhaluska

New Member
Sep 23, 2018
15
2
3
Strange, I had no issue like this. I'm on PVE 6.0-7 and used CentOS8 cloud image from Oct 12 and 13.
 

oguz

Proxmox Staff Member
Staff member
Nov 19, 2018
1,972
202
63
if you're getting an error while creating a new container similar to this:

Code:
TASK ERROR: unable to create CT unsupported centos release

you probably need to perform a little change on this file: /usr/share/perl5/PVE/LXC/Setup/CentOS.pm


something like this should be enough:


Code:
sed -i 's/ < 8) {/ < 9) {/' /usr/share/perl5/PVE/LXC/Setup/CentOS.pm
and then restart related services:


Code:
       systemctl restart pveproxy pvedaemon
by the way, I've tested this one: https://uk.images.linuxcontainers.org/images/centos/8/amd64/cloud/20191015_07:08/rootfs.tar.xz

and everything seems fine by now. I'll try to report back if I found any issues.
this shouldn't be necessary. the release number of the template is still 8. (8.0.1905 but we only capture the first digit here for checking)

i just tried with the template you provided, had no issues.
 

fernback

New Member
Nov 14, 2017
9
1
3
30
I haven't tried the cloud template, but I am also having no issues with the regular one.
 

SmithCruise

New Member
Oct 14, 2019
10
0
1
30
this shouldn't be necessary. the release number of the template is still 8. (8.0.1905 but we only capture the first digit here for checking)

i just tried with the template you provided, had no issues.
I had met this question too. I download official centos 8 template, it told me that TASK ERROR: unable to create CT 104 - unsupported centos release 'CentOS Linux release 8.0.1905 (Core) '
 

oguz

Proxmox Staff Member
Staff member
Nov 19, 2018
1,972
202
63
What version of proxmox? what is the minimal version required to support?
if i'm not mistaken, it should be pve-container >= 3.0-7

I had met this question too. I download official centos 8 template, it told me that TASK ERROR: unable to create CT 104 - unsupported centos release 'CentOS Linux release 8.0.1905 (Core) '
see my answer, you need pve-container >= 3.0-7 for it to work.
 

SmithCruise

New Member
Oct 14, 2019
10
0
1
30
if i'm not mistaken, it should be pve-container >= 3.0-7


see my answer, you need pve-container >= 3.0-7 for it to work.
How can I update pve-container. My version is proxmox-ve: 6.0-2 and pve-container: 3.0-3
 

oguz

Proxmox Staff Member
Staff member
Nov 19, 2018
1,972
202
63
How can I update pve-container. My version is proxmox-ve: 6.0-2 and pve-container: 3.0-3
apt update && apt full-upgrade will update whole system.

updating single packages may cause instabilities, but if you can't update the whole system you can try: apt update && apt install pve-container and it should get the latest version
 

mattedj

New Member
Oct 9, 2019
3
0
1
47
if you're getting an error while creating a new container similar to this:

Code:
TASK ERROR: unable to create CT unsupported centos release

you probably need to perform a little change on this file: /usr/share/perl5/PVE/LXC/Setup/CentOS.pm


something like this should be enough:


Code:
sed -i 's/ < 8) {/ < 9) {/' /usr/share/perl5/PVE/LXC/Setup/CentOS.pm
and then restart related services:


Code:
       systemctl restart pveproxy pvedaemon
by the way, I've tested this one: https://uk.images.linuxcontainers.org/images/centos/8/amd64/cloud/20191015_07:08/rootfs.tar.xz

and everything seems fine by now. I'll try to report back if I found any issues.
I can confirm this solved it for me
 

Bidi

Active Member
Feb 12, 2016
72
1
28
32
I can confirm this solved it for me
Hy guys, after i made this two because of the centos 8 now i have problems with centos 6, creating unprivilaged get this error:

tar: ./etc/udev/devices/ttya8: Cannot mknod: Operation not permitted
tar: ./etc/udev/devices/zero: Cannot mknod: Operation not permitted
tar: ./etc/udev/devices/ttyab: Cannot mknod: Operation not permitted
tar: ./etc/udev/devices/kmem: Cannot mknod: Operation not permitted

after i made it privilaged, no network working on it, not able to ssh ...etc

so now i dont even know how to fix this
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE and Proxmox Mail Gateway. We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!